package org.xdv.clx.exec;

import java.util.Set;

import org.xdv.xpath.XPathVariableMap;

/**
 * CLX variable context - variable binding + information about declared variables.
 *
 * @author Tomasz Kokoszka
 */
public class ClxVariableContext {

    /** Variable binding; !=null */
    private final XPathVariableMap variables;
    
    /** Declared variables - set of {@link String}; !=null */
    private final Set declared;
        
    /** 
     * Creates a new context.
     * @param variables variable binding
     * @param declared declared variables - set of {@link String}
     */
    public ClxVariableContext(XPathVariableMap variables, Set declared) {
        super();
        this.variables = variables;
        this.declared = declared;
    }

    /**
     * Returns declared variables.
     * @return declared variables, set of {@link String}; !=null
     */
    protected Set getDeclared() {
        return declared;
    }

    /**
     * Returns variable binding.
     * @return variable binding; !=null
     */
    protected XPathVariableMap getVariables() {
        return variables;
    }        

}
