package org.xdv.xpath.jaxen;

import org.jaxen.dom.DOMXPath;
import org.xdv.xpath.XPathExpression;

/**
 * Compiled Jaxen XPath expression.
 * Instance should be created using {@link JaxenXPathEngine#createExpression(String)}.
 * <br>
 * It can be executed using {@link JaxenXPathExecutionUnit}.
 * 
 * @author Tomasz Kokoszka
 */
public class JaxenXPathExpression implements XPathExpression {
    
    /** Compiled XPath expression */
    protected final DOMXPath xpath;
    
    /** 
     * Creates new compiled XPath expression.
     * @param xpath compiled Jaxen XPath expression
     */
    JaxenXPathExpression(DOMXPath xpath) {
        assert xpath != null;
        this.xpath = xpath;        
    }
    
    public String asString() {
        return xpath.toString();
    }
        
    public String toString() {
        return xpath.toString();
    }
    
}
